
:root {
    --seitenleiste: #086bd5;
    --footercolor:#024d9e;
    --seitenleisteYoutube: #079fcd;
    --seitenleisteHover: #e7f0fb;
    --background: #062232;
    --text: #fff;
    --info: rgb(246, 243, 53);
    --clear: rgb(246, 103, 98);
}

body{
    background-color: var(--background);
    font-family: sans-serif;
    margin: 0;
    padding: 0;
}

.page{
    display: flex;
    align-items: center;
    justify-content: left;
    height: 100vh;
    overflow: hidden; /* Verhindert, dass das Bild über den Rand hinausragt */
}

img {
    width: 100%;
    height: 100%;
    object-fit: cover; /* Das Bild füllt den Raum, ohne Verzerrung */
    object-position: center; /* Zentriert das Bild */
}

#header2{
  position: absolute;
  top: 0;
  width: 100%;
  background-color: var(--seitenleiste);
  display: flex;
  align-items: center;
  justify-content: space-between;
}
 
.seitenleiste{
  position: absolute;
  top: 2.5rem;
  bottom: 4.6rem;
  background-color: var(--seitenleisteHover);
  box-shadow: 3px 3px 6px black;
  overflow: hidden;
}

.seitenleisteButton{
    display: flex;          /* Aktiviert Flexbox */
    flex-direction: column; /* Ordnet Elemente untereinander an */
}
  
.navigation__link2 {
    color: rgb(20, 17, 17);
    font-weight: 500;
    text-decoration: none;
    font-size: 0.8em;
    padding: 7px 0px 7px 5px;
    margin-top: 4px;
    margin-bottom: 4px;
    height: 25px;
    position: relative;
    display: flex;
    align-items: center;
}

#titel{
  font-size: 1.5em;
  margin-right: 5px;
  padding: 5px;
  color:white;
}

#choose1,#choose2, #choose3, #choose4, #choose5, #choose6, #choose7, #choose8, #choose9, #choose10, #choose11, #choose12, #choose13 {
    padding-left: 10px;
    text-decoration: none;
    background-color:  #b5d5fb;
}

#choose9, #choose10, #choose13 {
    background-color:  #c2e4e8;
}

#choose1 {
    margin-top: 20px;
}

#choose11 {
    margin-top: 30px;
}

#choose9 {
    margin-top: 50px;
}

#choose1:hover,#choose2:hover,#choose3:hover,#choose4:hover,#choose5:hover,#choose6:hover,#choose7:hover,#choose8.page,#choose9.page,#choose10.page,#choose11.page,#choose12.page,#choose13.page {
    background-color: #7bb9ff;
    color: rgb(239, 0, 0);
}

#choose6:hover,#choose7:hover,#choose8.page,#choose9.page,#choose10.page,#choose11.page,#choose12.page,#choose13.page {
    background-color: #7bb9ff;
    color: rgb(239, 0, 0);
}

#dropDown{
  background-color: var(--seitenleisteHover);
  width: 1.3rem;
  height: 1.1rem;
  margin-left: 1rem;
  padding: 3px;
}

.unsichtbar{
    opacity: 0; 
    pointer-events: none; 
}

.sichtbar{
    opacity: 1; 
    pointer-events:all; 
    transition: opacity 1,5s;
}

.leisteSichtbar{
    animation: show 0.3s linear forwards;
    padding: 0 10px;
}

 @keyframes show {
  0% {width: 0;}
  100% {width: 8rem;} 
 }


.leisteSichtbarRev{
    animation: showRev 0.3s linear forwards;
    padding: 0;
}
  
@keyframes showRev {
  0% {width: 8rem;}
  100% {width: 0;}
 }


footer{
  display: flex;
  justify-content: space-between;
  background-color: var(--footercolor);
  color: aliceblue;
  position: fixed;
  left: 0;
  bottom: 0;
  width:90%;
  text-align: center;
  padding-left: 1em;
  padding-right: 2rem;
}

#mail{
    color: #cbffcb;
    font-size: 0.9em;
}

#sprachen {
  padding: 0;
  margin-top: 12px;
  border: none;
  cursor: pointer;
  width: 1.5rem;
  height: 1.5rem;
}
